.primary-blackbody {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: 99999991;
    background: rgba(0,0,0,0.95);
}

#user-modal {
    display: none;
    position: fixed;
    top: 40%;
    left: 50%;
    width: 100%;
    max-width: 400px;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    z-index: 99999992;
}

#congrat-modal {
    display: none;
    position: fixed;
    top: 40%;
    left: 50%;
    width: 100%;
    max-width: 800px;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    z-index: 99999992;
}

.primary-container {
    position: relative;
    padding: 0 10px;
    transform: translateY(-20px);
    opacity: 1;
}

    .primary-container.open {
        animation: fadeInTop 300ms ease-in-out forwards;
    }

@keyframes fadeInTop {
    0% {
        transform: translateY(-20px);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}
/* End Modal Default CSS*/

.md-close {
    position: absolute;
    right: -10px;
    top: -10px;
    padding: 5px;
    background: #f60000;
    transition: all 400ms ease;
    -webkit-transition: all 400ms ease;
    border-radius: 50%;
    cursor: pointer;
    z-index: 99;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .md-close > i {
        display: block;
        color: #fff;
        font-size: 16px;
        font-weight: 900;
    }

 

        .md-close:hover > i {
            font-size: 20px;
            animation: rotate100 2s ease-in-out infinite forwards;
        }

        @keyframes rotate100 {
            0% {
                transform: rotate(0deg);
            }
            70% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }

#congrat-modal .md-body-wrapper {
    position: relative;
    background: url(../img/popup-box.png) no-repeat center center;
    background-size: 100% auto;
    height: 400px;
    padding: 50px 70px;
    text-transform: uppercase;
}
#congrat-modal .md-body-wrapper::after {
    content: "";
    position: absolute;
    width: 120%;
    height: 150%;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    background: url(../img/popup-effects.png) no-repeat center center;
    background-size:contain ;
    z-index: -1;
}
#congrat-modal .md-european {
    padding: 0 40px;
}
#congrat-modal .md-european h3 {
    margin: 5px auto;
    text-align: center;
    font-weight: 900;
    text-shadow:
  1px 1px 0 #000,
  -1px 1px 0 #000,
  -1px -1px 0 #000,
  1px -1px 0 #000;
}
.md-cr-tittle {
    height: 40%;
}

.md-european .italic-tag {
    color: #ffd900;
    font-size: 12px;
    font-weight: 500;
    font-style: italic;
}
.md-condition {
    font-weight: 600;
    font-size: 15px;
}
#show-result,
#md-user{
    color: #fffc00;
}

.md-btn-supports {
    margin: 10px auto;
    display: flex;
    justify-content: center;
    align-items: center; 
}
.md-btn-supports a {
    margin: 0 10px;
    width: 150px;
    height: auto;
    padding: 10px;
    text-align: center;
    background: #ffdb0f;
    color: #000;
    font-weight: 600;
    border-radius: 5px;
    border: 1px solid #ffe600;
    transition: all 200ms ease-in-out;
}
.md-btn-supports a:hover {
    transform: scale(1.05);
}

@media (max-width: 768px) {
    #congrat-modal .md-body-wrapper {
        width: 95%;
        margin: 0 auto;
        height: auto;
        border: 4px solid yellow;
        border-radius: 10px;
        padding: 30px 20px;
        background: linear-gradient(0deg, green 0%, green 50%, green 100%);
    }
    #congrat-modal .md-european {
        padding: 0;
    }
    #congrat-modal .md-european h3 {
        font-size: 18px;
    }
    .md-condition {
        font-size: 14px;
    }
    .md-european .italic-tag {
        font-size: 10px;
    }
    .md-btn-supports a{
        margin: 0 4px;
        padding: 4px;
        font-size: 14px;
    }
}

/*  user modal    */

.form-user {
    position: relative;
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    flex-direction: column;
}
.input-user {
    width: 100%;
    padding:10px 20px;
    color: #333;
    border-radius: 25px;
    border: 2px solid rgb(0, 192, 0);
    transition: all 500ms ease-in-out;
}
.input-user.error {
    border:2px #ff0000 solid;
}
.md-buttons{
    display: flex;
    justify-content: center;
    position: absolute;
    right: -5px;
    top:2px;
    transition: all 600ms cubic-bezier(.46,.2,.2,1.05);
}
.md-buttons a {
    display: inline-block;
    padding: 10px 5px;
    color: #fff;
    width: 100px;
    text-align: center;
    background: linear-gradient(0deg, #005f28 0%, #008332 50%, #007233 100%);
    text-transform: uppercase;
    margin: 0 5px;
    border-radius: 25px;
    font-weight: 900;
    color: yellow;
    border: 1px solid yellow;
}

/* .form-user.closing-ani {
    max-width: 100px;
} */
.form-user.closing-ani input {
    width: 0;
    visibility: hidden;
}

.form-user.closing-ani .md-buttons {
    right: 125px;
}